<H1>週末大学生のための「論文執筆をChatGPTに助けてもらう方法」</H1>

<div style="text-align: right;">
2024/09/04
</div>
<div style="text-align: right;">
研開/シスI
</div>
<div style="text-align: right;">
江端智一
</div>


# 1. 背景と動機

(T.B.D.)


# 2. 本書の目的

本書は「週末大学生」という、社会人大学生の方の論文作成の支援を目的としています。原則として知財等の問題についてはすでにクリアしていることを前提とします。


# 3. 本書の方針

- 私(江端)のPC環境で、私のやってきたことを記載しているだけのものです。
- もっと良いやり方は(必ず)あると思います。それは気にせず記載しています。

# 4. 前提とする(私(江端)と同じ)環境

この環境に合わせる必要はありませんが、参考にして下さい。もっとも重要な点は、**社内システムからの使用を想定していない**です。ですので、社内から利用する際に必要となりそうな、プロキシ等の設定作業などは、全く触れていません。

私(江端)の環境、および使用条件は

1. 自宅のPCでインターネット環境を、使い倒している
1. 有料のChatGPTを個人で契約している(ちょっと出費は痛い)
1. 会社の業務については、一切語らない

です。

# 5. 用語の対する質問の例

## 5.1. 質問例1
```
ソーシャルキャピタル(SC:Social Capital)、または主観的幸福(SWB:Subjective Well-Being)は、どういう把握をすれば良いでしょうか(指標？ 方式？ 概念？)
```

### 5.1.1. ポイント

ここで重要なのは、ChatGPTが答えやすい様に、サンプル(**指標？ 方式？ 概念？**)を示して、ChatGPTに対して解答を誘導してあげることです。

## 5.2. 質問例2
```
「住民が一緒に移動し、また、特定の場所に集まることで、連帯感や一体感が生まれ、これが集団としての幸福度の向上に寄与する。これらの経験は、個々の住民に安心感や満足感をもたらし、SCやSWBに対して◯◯◯◯である。」の◯◯◯◯の部分の文章を考えてください。
```

### 5.2.1. ポイント

文節に困った時は、こういう**◯◯◯◯**というような使い方が有効です。ちなみに、この時のChatGPTの解答は以下の通りでした。
```
「これらの経験は、個々の住民に安心感や満足感をもたらし、SCやSWBに対して重要な影響を与える。」
```

## 5.3. 質問例3
```
「集団的幸福度」という言葉は普通に使われる言葉でしょうか
```

### 5.3.1. ポイント
ChatGPTは、頻繁に新しい言葉を作り出しますが、それが汎用的な用語であるかどうかが怪しいことがあります。このような場合は確認した方が良いです。

## 5.4. 質問例4
```
「集団的幸福度」を、直感的で簡潔で理解しやすい言葉に置き換えてみて下さい。
```

### 5.4.1. ポイント
ChatGPTが作った言葉を、ChatGPTに汎用的な言葉に替えてもらう質問となります。

ChatGPTの回答は以下の通りでした。
```
「集団的幸福度」を「共同の幸福感」や「みんなの幸福感」に置き換えると、直感的で簡潔に理解しやすい表現になります。これらの言葉は、集団全体で感じる幸福や満足感を指し、共通の目標や体験を通じて得られる幸福感を表しています。
```
**なんか、カルト宗教を彷彿させる内容でしたので、この提案は私が却下しました。**

## 5.5. 質問例5
```
「社会的包摂」とはどういう意味ですか
```

### 5.5.1. ポイント
ChatGPTは、私が知らない用語を使ってくることがあります。そのような場合は、素直に質問すると良いでしょう。

また、論文にその用語(例:社会的包摂)を使いたい場合は、その概要を論文中に説明しておくと良いでしょう(『私が分からないことは、読者も分からない』と決めつけていい)。

## 5.6. 質問例6
```
マルチエージェントシミュレータでは、そこで動かす人間や移動体を「エージェント」と呼びます。さらに、サービスを提供する建物(デパート、小売店舗、公園)もエージェントとして分けられます。人間、移動体、建物を、それぞれ「◯◯エージェント」という名前を付けたいです。提案をお願いします。
```

### 5.6.1. ポイント
ChatGPTは、この**言葉作り**については、天才的です。これは、ChatGPTに提案してもらって、その採否を自分で決めれば良いでしょう。




# 6. 文献に関する質問の例

## 6.1. 質問例1
```
離散選択モデルの一つであるロジットモデルに基づくモビリティ選択行動の確率算出アルゴリズムについて記載されている書籍を紹介して下さい。
```

### 6.1.1. ポイント
ChatGPTは、大量の文献を紹介してきますが、(私の所感では)**5割はデタラメな書籍を紹介してきます**し、論文なども含めてきます。このような質問に対しては**裏取り**が絶対に必要となることを覚えておいて下さい。

## 6.2. 質問例2
```
日本語の書籍はありませんか
```

### 6.2.1. ポイント
ChatGPTは、会話の流れを覚えてくれますので、このような「対象不明」の質問をしたとしても、解答してくれます。ただし、解答の精度は、上記で述べた通りです。

## 6.3. 質問例3
```
「共移動」とは、住民が同じ目的地に向かって同じタイミングで移動することである。
たとえば、通勤電車やバスでの移動では、同じルートを共有する住民同士が日常的に顔を合わせることで、共通の話題や親近感が芽生えやすくなる。このような日常的な共移動は、地域内での社会的つながりを強化し、信頼関係を築くための基盤を提供する。また、共移動によって公共交通機関の利用が促進されることは、環境負荷の軽減にも寄与し、持続可能な都市形成の一助となる。
「共滞在」とは、住民が同じ場所に同時に存在し、特定の空間を共有することである。
これは、公園や広場、商業施設などで実現されるもので、こうした共滞在の場は、住民同士が自然に交流する機会を提供し、地域社会の一体感を醸成する。共滞在の場が増えることで、地域内での社会的孤立が防がれ、住民が地域社会に帰属する意識が強まる。また、地域の施設やサービスの利用が活性化されることで、地域経済の発展にもつながりうる。
さらに、共移動と共滞在においては、同じ人物との意図せぬ出会いが複数回繰り返されることが重要である。このような出逢いによって、住民同士のつながりが強化され、コミュニティの形成が促進されると考えられるためである。
本論文では、この共移動と共滞在を「共時空間」と、また、共時空間における偶（たまたま）の出逢いを「偶逢（ぐうほう）」と称することとする。

上記に関連する先行研究を教えて下さい
```

### 6.3.1. ポイント
自分が案出した概念を説明しておいて、その後で先行研究を探す、というような **本末転倒**なことも、論文を書く上では度々生じることです。こういう「こすっからい」使い方にChatGPTを使わせて頂くことはよくあります。

# 7. 論文フォーマットに関する質問の例

## 7.1. 質問例1
```
交通行動の分析とモデリング : 理論/モデル/調査/応用 北村隆一, 森川高行編著 ; 佐々木邦明, 藤井聡, 山本俊行著 技報堂出版, 2002.5

これを、土木学会の論文のReference形式で表わして下さい。
```

### 7.1.1. ポイント
ChatGPTは、Reference形式を合わせた形で記載してくれます。
```
以下のように土木学会の論文のReference形式で表記できます。

北村隆一, 森川高行編著, 佐々木邦明, 藤井聡, 山本俊行著: 交通行動の分析とモデリング : 理論/モデル/調査/応用, 技報堂出版, 2002.5.
```
ただし、これも「なんとなく正しい」のですが、厳密にみると違う点もあります(例えば、著書名を英文でも追記する必要がある、等)ので、そのままコピペしないように注意して下さい。

# 8. 図面に関する質問の例

## 8.1. 質問例1
```
この図面を説明して下さい
```
![alt text](image.png)

### 8.1.1. ポイント
背景の説明抜きに、図をコピペするだけ、という、かなり無茶なことをChatGPTお願いしていますが、それでも妥当な推測を出してくれます。

で、ここで重要なのは、**このChatGPTの推測を文章の叩き台として論文に展開できる**、ということです。

ちなみにChatGPTの回答は以下の通りでした。
```
この図面は、あるエリアにおける3次元空間でのオブジェクトの配置や動きを示しているようです。図の下部には地図があり、赤い線で囲まれたエリアが特定されています。このエリア内に、複数の線や矢印が描かれており、これらが物体の移動経路や方向を表していると考えられます。

上部には、いくつかの円柱と球体が配置されており、これらが3次元空間内での位置や軌道を示しているようです。円柱は緑色で描かれており、球体はオレンジ色です。これらのオブジェクトは、地図上のエリアと関連して配置されており、それぞれの位置関係や移動パターンを視覚的に示しています。

また、地図上のエリアには、複数の黒い線が放射状に広がっており、これが物体の移動や分布に関連している可能性があります。全体として、この図面は3次元空間内での動きや配置を示すためのものであり、地図上のエリアと連動してオブジェクトがどのように配置されているかを視覚的に表現していると考えられます。
```
つまり、読者視点で論じてくれているので、それに答える文章を作成すれば良いのです。

## 8.2. 質問例2
```
添付の表を作っています。表の合いているところに、0～5の乱数数字を入れてください。発生の比率は0が多くて、1、2, 3, 4, 5 の順に発生率が小さくなるようにお願いします。
```
![alt text](image-2.png)

### 8.2.1. ポイント
残念ながら、現時点で、ChatGPTは図面の作成は得意ではないようです(今のところ、線図とかはダメダメ)。しかし、表作成はやってくれます。使い倒しましょう。

こんな感じで、csvファイルを作成してくれます。使い倒しましょう。

![alt text](image-3.png)


# 9. ロジックに関する質問の例

## 9.1. 質問例1

```
本章では、共時空間の定量化の課題について論じる。

(1) 現実世界を模倣した仮想世界の構築
共時空間の定量化において、現実世界を精密に模倣した仮想世界の構築が求められる。(中略)現実の多様な状況をどれだけ正確に反映できるかが課題となる。

(2) 共時空間の抽出と定量化の難しさ
共時空間を正確に抽出し、定量化するプロセスもまた大きな課題である。(中略)精度と信頼性を保つことが難しい。

(3) 偶逢の発生とその評価の課題
共時空間内で発生する偶逢の頻度やその影響を評価することも複雑である。(中略)その評価基準をどのように設定するかも課題の一つである。

======

上記の課題を解決するアプローチとして、マルチエージェントシミュレーションが有効であるというロジックを作って下さい。
```

### 9.1.1. ポイント
自分が案出した課題を説明しておいて、その後で自分の導きたい方式に連結させる、というような **本末転倒**なことも、論文を書く上では度々生じることです。こういう「こすっからい」使い方にChatGPTを使わせて頂くことはよくあります。

もちろん、常に期待した答えが返ってくる訳ではありませんし、その文章をそのまま使えることは稀ではありますが、**見落していた観点を見つけてくれる**という点においては、非常に有用です。

# 10. 江端(筆者)独自の質問の例
```
ロジットモデルのサンプルプログラムをGo言語で作成して下さい
```

### 10.1. ポイント
私、本を読むのが苦手で、数式を理解するのもダメダメです。

私の場合、ある手法や論理を理解するには、数式よりもプログラムを読む方が理解しやすいです。

ですので、こんなアバウトの質問で、サンプルプログラムを作ってもらうほうが、短時間で理解しやすいことがあります。

ちなみに、この質問に対するChatGPTの回答は、こんな感じでした。

![alt text](image-4.png)

(中略)

![alt text](image-6.png)

私は、このプログラムで理解できました。ただ、これは個人差があると思いますので、御参考までに。


# 11. その他の質問の例

## 11.1. 質問例1
```
ですます調ではなく、報告書調でお願いします。また箇条書きは使わずに、原文と同程度の文になるようにお願いします
```

### 11.1.1. ポイント
ChatGPTは礼儀正しいヤツなので、油断していると、すぐに文案等を「ですます調」にしてしまいます。なので、「報告書調でお願いします」など「箇条書きでしてください」だの、あるいは文字数などを、事細かく指示することは、結構大切なことです。

あと、「**文章を読みやすくして下さい**」は結構重要な指示です。残念ながら、読みやすい文章の作成は、私よりChatGPTの方が優れています。

## 11.2. 質問例2
```
「目指す」→「めざす」のように、論文執筆の際に気をつけなければならない用語を挙げて下さい。
```

### 11.2.1. ポイント
各学会から執筆スタイルの注意はでているとは思いますが、最後のチェックリストを作ってもらって、自分でチェックするのも良い手です。

# 12. まとめ

とりあえず、過去のChatGPTのログを眺めて、分類して纒めてみました。

お役に立てれば幸いです。

(実際は、まだ色々やっていますが、ちょっと開示できないこともあります(ChatGPTが悲鳴を上げそうなことも)。悪しからずご了承下さい。)

# 13. 参考文献(江端メモ)
https://wp.kobore.net/%e6%b1%9f%e7%ab%af%e3%81%95%e3%82%93%e3%81%ae%e6%8a%80%e8%a1%93%e3%83%a1%e3%83%a2/post-14635/

https://wp.kobore.net/%e6%b1%9f%e7%ab%af%e3%81%95%e3%82%93%e3%81%ae%e5%bf%98%e5%82%99%e9%8c%b2/post-13772/

https://wp.kobore.net/%e6%b1%9f%e7%ab%af%e3%81%95%e3%82%93%e3%81%ae%e6%8a%80%e8%a1%93%e3%83%a1%e3%83%a2/post-12335/

https://wp.kobore.net/%e6%b1%9f%e7%ab%af%e3%81%95%e3%82%93%e3%81%ae%e6%8a%80%e8%a1%93%e3%83%a1%e3%83%a2/post-11615/

https://wp.kobore.net/%e6%b1%9f%e7%ab%af%e3%81%95%e3%82%93%e3%81%ae%e5%bf%98%e5%82%99%e9%8c%b2/post-11210/




以上
